//
//  View.swift
//  Camera
//
//  Created by Mark Meretzky on 12/12/14.
//  Copyright (c) 2014 Mark Meretzky. All rights reserved.
//

import UIKit

class View: UIView {

	//Called from the loadView method of the view ocntroller.

	init(viewController: ViewController) {
		// Initialization code
		super.init(frame: CGRectZero);
		backgroundColor = UIColor.whiteColor();

		let button: UIButton = UIButton.buttonWithType(UIButtonType.System) as UIButton;
		button.titleLabel!.font = UIFont.systemFontOfSize(UIFont.buttonFontSize());
		let title: String = "  Take a still photo  ";
		button.bounds.size = title.sizeWithAttributes([NSFontAttributeName: button.titleLabel!.font]);
		button.bounds.size.height *= 2;	//Looks better if we double the height.

		//Put the button at the center of this View.
		button.center = center;

		//Keep the button at the center of this View,
		//even if the size of this View changes.

		button.autoresizingMask =
			  UIViewAutoresizing.FlexibleLeftMargin
			| UIViewAutoresizing.FlexibleRightMargin
			| UIViewAutoresizing.FlexibleTopMargin
			| UIViewAutoresizing.FlexibleBottomMargin;

		button.layer.borderWidth = 0.5;	//0.5 pairs of pixels = 1 pixel
		button.layer.borderColor = UIColor.blackColor().CGColor;
		button.setTitle(title, forState: UIControlState.Normal);

		button.addTarget(viewController,
			action: "touchUpInside:",
			forControlEvents: UIControlEvents.TouchUpInside);

		addSubview(button);
	}

	//Never called.
	required init(coder aDecoder: NSCoder) {
		super.init(coder: aDecoder);
	}

	/*
	// Only override drawRect: if you perform custom drawing.
	// An empty implementation adversely affects performance during animation.
	override func drawRect(rect: CGRect) {
		// Drawing code
	}
	*/

}
